[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TDragControlObject.GetDragCursor

Asks the Control to provide a drag cursor.

## Declaration

Source position: controls.pp line 550

`protected function TDragControlObject.GetDragCursor(`
`Accepted: Boolean;`
`X: Integer;`
`Y: Integer`
`):TCursor; override;`

## Arguments

`Accepted` |  | True when the dragged object can be dropped at the specified position.
`X` |  | Horizontal coordinate for the mouse pointer.
`Y` |  | Vertical coordinate for the mouse pointer.

## Function result

TCursor shape used as the drag cursor. crDrag when Accepted. crNoDrop when not Accepted.

## Description

Called when a TDragPerformer repositions the mouse pointer during an active drag operation.

## See also

TCursor |  | Defines the range of values used for cursor shapes.